
--------------------------------
-- Tajifun's Minecraft Script --
--------------------------------



--[[


-- Information --

1. This Mod is supposed to be played in Deathmatch/Team-Deathmatch mode only!

2. Generating a map usually takes 2-3 minutes!
During this process cs2d may not answer several times.
But after finishing the map it does normally not lag in any way...

If you know a way of improving the loading process, please let me know. :)

I hope you like it, anyway!

]]



-- ADMINS --

ADMINS = {1234,2345,3456} -- Enter Admin's USGN here! (Remove examples...)


-- SETTINGS --

generate_map = 1 -- Allow the game to generate a new world ramdomly! (0 = off / 1 = on)
generating_process_print = 1

gen_miningarea = 1
gen_trees = 1
gen_dirt = 1
gen_rocks = 1

placingrange = 128


-- Ratio of Objects --

diamondratio = 2
goldratio = 4
ironratio = 7
coalratio = 15
treeratio = 7


crafting_x_offset = 394
crafting_y_offset = 82

craftingtable_x_offset = 377
craftingtable_y_offset = 61

mine_offset = 3

block_frame_updaterate = 125
block_frame_alpha = 0.75



path = "sys/lua/minecraft/"

dofile(path.."mc_items.lua")
print("000255000mc_items.lua loaded succesfully!")

dofile(path.."mc_functions.lua")
print("000255000mc_function.lua loaded succesfully!")

dofile(path.."mc_VisualLua.lua")
print("000255000mc_VisualLua.lua loaded succesfully!")



-- Arrays --

cursorx = initArray(32)
cursory = initArray(32)

MAP = tripleArray(map("xsize"),map("ysize"),2,0)
mapblock = doubleArray(map("xsize"),map("ysize"))

inhand = initArray(32)
inhandimg = initArray(32)

inventory = tripleArray(32,9,3)
for id = 1, 32 do
	for i = 1, 9 do
		inventory[id][i][1] = 0
		inventory[id][i][2] = ""
		inventory[id][i][3] = 0
	end
end

crafting_open = initArray(32)
crafting_img = initArray(32)
crafting_button_use = initArray(32,1)
crafting_in = doubleArray(32,4)

craftingtable_open = initArray(32)
craftingtable_in = doubleArray(32,9)
craftingtable_button_use = initArray(32,1)
craftingtable_img = initArray(32)

furnace_open = initArray(32)
furnace_in = doubleArray(32,2)
furnace_button_use = initArray(32,1)
furnace_img = initArray(32)

wants_to_craft = initArray(32)
boxes = doubleArray(32,2)

block_frame_img = initArray(32)
block_frame_on = initArray(32,1)




dofile(path.."mc_engine.lua")
print("000255000mc_engine.lua loaded succesfully!")


dofile(path.."mc_commands.lua")
print("000255000mc_commands.lua loaded succesfully!")


dofile(path.."mc_map.lua")
print("000255000mc_map.lua loaded succesfully!")



print("000255000Tajifun's Minecraft Mod loaded succesfully! Enjoy!")
